Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class ParsedURLDefaultProtocolHandler

    java.lang.Object
      org.apache.batik.util.AbstractParsedURLProtocolHandler
          org.apache.batik.util.ParsedURLDefaultProtocolHandler

All Implemented Interfaces:
  ParsedURLProtocolHandler

Direct Known Subclasses:
  ParsedURLJarProtocolHandler

    public class ParsedURLDefaultProtocolHandler

extends AbstractParsedURLProtocolHandler

The default protocol handler this handles the most common protocols, such as 'file' 'http' 'ftp'. The parsing should be general enought to support most 'normal' URL formats, so in many cases

Field Summary

Fields inherited from class org.apache.batik.util.AbstractParsedURLProtocolHandler
`protocol`

Constructor Summary
`` | `ParsedURLDefaultProtocolHandler()` Default constructor sets no protocol so this becomes default handler.
`protected` | `ParsedURLDefaultProtocolHandler(String protocol)` Subclass constructor allows subclasses to provide protocol, to be handled.

Method Summary
`static int` | `charToHex(int ch)`
`protected ParsedURLData` | `constructParsedURLData()` Subclasses can override these method to construct alternate subclasses of ParsedURLData.
`protected ParsedURLData` | `constructParsedURLData(URL url)` Subclasses can override these method to construct alternate subclasses of ParsedURLData.
`ParsedURLData` | `parseURL(ParsedURL baseURL, String urlStr)` Parses the string as a sub URL of baseURL, and returns the results of parsing in the ParsedURLData object.
`ParsedURLData` | `parseURL(String urlStr)` Parses the string and returns the results of parsing in the ParsedURLData object.
`static String` | `unescapeStr(String str)`

Methods inherited from class org.apache.batik.util.AbstractParsedURLProtocolHandler
`getProtocolHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsedURLDefaultProtocolHandler

    public ParsedURLDefaultProtocolHandler()

  Default constructor sets no protocol so this becomes default handler.

### ParsedURLDefaultProtocolHandler

    protected ParsedURLDefaultProtocolHandler(String protocol)

  Subclass constructor allows subclasses to provide protocol, to be handled.

Method Detail

### constructParsedURLData

    protected ParsedURLData constructParsedURLData()

  Subclasses can override these method to construct alternate subclasses of ParsedURLData.

### constructParsedURLData

    protected ParsedURLData constructParsedURLData(URL url)

  Subclasses can override these method to construct alternate subclasses of ParsedURLData.

  Parameters:
    `url` - the java.net.URL class we reference.

### parseURL

    public ParsedURLData parseURL(String urlStr)

  Parses the string and returns the results of parsing in the ParsedURLData object.

  Parameters:
    `urlStr` - the string to parse as a URL.

### unescapeStr

    public static String unescapeStr(String str)

### charToHex

    public static int charToHex(int ch)

### parseURL

    public ParsedURLData parseURL(ParsedURL baseURL,
                                  String urlStr)

  Parses the string as a sub URL of baseURL, and returns the results of parsing in the ParsedURLData object.

  Parameters:
    `baseURL` - the base url for parsing.
    `urlStr` - the string to parse as a URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.